<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.Wttragetreportmain3Mapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Wttragetreportmain3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="DECIMAL" property="id" />
    <result column="RECODEDATE" jdbcType="TIMESTAMP" property="recodedate" />
    <result column="WTID" jdbcType="VARCHAR" property="wtid" />
    <result column="WTNAME" jdbcType="VARCHAR" property="wtname" />
    <result column="PJDJ" jdbcType="VARCHAR" property="pjdj" />
    <result column="PJJG" jdbcType="VARCHAR" property="pjjg" />
    <result column="YFDL" jdbcType="DECIMAL" property="yfdl" />
    <result column="BWSJ" jdbcType="TIMESTAMP" property="bwsj" />
    <result column="NFDL" jdbcType="DECIMAL" property="nfdl" />
    <result column="YFDLHB" jdbcType="DECIMAL" property="yfdlhb" />
    <result column="YFDLTB" jdbcType="DECIMAL" property="yfdltb" />
    <result column="YGZCS" jdbcType="DECIMAL" property="ygzcs" />
    <result column="YGZSC" jdbcType="DECIMAL" property="ygzsc" />
    <result column="BGSCRY" jdbcType="VARCHAR" property="bgscry" />
    <result column="BGSJ" jdbcType="TIMESTAMP" property="bgsj" />
    <result column="FDLGZCS" jdbcType="DECIMAL" property="fdlgzcs" />
    <result column="FDLBJCS" jdbcType="DECIMAL" property="fdlbjcs" />
    <result column="FDLJKQK" jdbcType="VARCHAR" property="fdljkqk" />
    <result column="CLXGZCS" jdbcType="DECIMAL" property="clxgzcs" />
    <result column="CLXBJCS" jdbcType="DECIMAL" property="clxbjcs" />
    <result column="CLXJKQK" jdbcType="VARCHAR" property="clxjkqk" />
    <result column="BJGZCS" jdbcType="DECIMAL" property="bjgzcs" />
    <result column="BJBJCS" jdbcType="DECIMAL" property="bjbjcs" />
    <result column="BJJKQK" jdbcType="VARCHAR" property="bjjkqk" />
    <result column="ZKGZCS" jdbcType="DECIMAL" property="zkgzcs" />
    <result column="ZKBJCS" jdbcType="DECIMAL" property="zkbjcs" />
    <result column="ZKJKQK" jdbcType="VARCHAR" property="zkjkqk" />
    <result column="LLFDL" jdbcType="DECIMAL" property="llfdl" />
    <result column="PJGL" jdbcType="DECIMAL" property="pjgl" />
    <result column="GZSSDL" jdbcType="DECIMAL" property="gzssdl" />
    <result column="XDSSDLL" jdbcType="DECIMAL" property="xdssdll" />
    <result column="WHSSDL" jdbcType="DECIMAL" property="whssdl" />
    <result column="GZSJ" jdbcType="DECIMAL" property="gzsj" />
    <result column="WHSJ" jdbcType="DECIMAL" property="whsj" />
    <result column="YXSJ" jdbcType="DECIMAL" property="yxsj" />
    <result column="TJSJ" jdbcType="DECIMAL" property="tjsj" />
    <result column="PJQRFS" jdbcType="DECIMAL" property="pjqrfs" />
    <result column="XNSSDL" jdbcType="DECIMAL" property="xnssdl" />
    <result column="NHYD" jdbcType="DECIMAL" property="nhyd" />
    <result column="GLYZXXS" jdbcType="DECIMAL" property="glyzxxs" />
    <result column="LYXS" jdbcType="DECIMAL" property="lyxs" />
    <result column="SBKLYL" jdbcType="DECIMAL" property="sbklyl" />
    <result column="DXKLYXS" jdbcType="DECIMAL" property="dxklyxs" />
    <result column="YXFSS" jdbcType="DECIMAL" property="yxfss" />
    <result column="PJFS" jdbcType="DECIMAL" property="pjfs" />
    <result column="JFPL" jdbcType="DECIMAL" property="jfpl" />
    <result column="TID" jdbcType="DECIMAL" property="tid" />
    <result column="WL1TXNQK" jdbcType="VARCHAR" property="wl1txnqk" />
    <result column="WL3TXNQK" jdbcType="VARCHAR" property="wl3txnqk" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, RECODEDATE, WTID, WTNAME, PJDJ, PJJG, YFDL, BWSJ, NFDL, YFDLHB, YFDLTB, YGZCS, 
    YGZSC, BGSCRY, BGSJ, FDLGZCS, FDLBJCS, FDLJKQK, CLXGZCS, CLXBJCS, CLXJKQK, BJGZCS, 
    BJBJCS, BJJKQK, ZKGZCS, ZKBJCS, ZKJKQK, LLFDL, PJGL, GZSSDL, XDSSDLL, WHSSDL, GZSJ, 
    WHSJ, YXSJ, TJSJ, PJQRFS, XNSSDL, NHYD, GLYZXXS, LYXS, SBKLYL, DXKLYXS, YXFSS, PJFS, 
    JFPL, TID, WL1TXNQK, WL3TXNQK
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3Example" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from WTTRAGETREPORTMAIN3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Short" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from WTTRAGETREPORTMAIN3
    where ID = #{id,jdbcType=DECIMAL}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Short">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WTTRAGETREPORTMAIN3
    where ID = #{id,jdbcType=DECIMAL}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3Example">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from WTTRAGETREPORTMAIN3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WTTRAGETREPORTMAIN3 (ID, RECODEDATE, WTID, 
      WTNAME, PJDJ, PJJG, 
      YFDL, BWSJ, NFDL, 
      YFDLHB, YFDLTB, YGZCS, 
      YGZSC, BGSCRY, BGSJ, 
      FDLGZCS, FDLBJCS, FDLJKQK, 
      CLXGZCS, CLXBJCS, CLXJKQK, 
      BJGZCS, BJBJCS, BJJKQK, 
      ZKGZCS, ZKBJCS, ZKJKQK, 
      LLFDL, PJGL, GZSSDL, 
      XDSSDLL, WHSSDL, GZSJ, 
      WHSJ, YXSJ, TJSJ, PJQRFS, 
      XNSSDL, NHYD, GLYZXXS, 
      LYXS, SBKLYL, DXKLYXS, 
      YXFSS, PJFS, JFPL, 
      TID, WL1TXNQK, WL3TXNQK
      )
    values (#{id,jdbcType=DECIMAL}, #{recodedate,jdbcType=TIMESTAMP}, #{wtid,jdbcType=VARCHAR}, 
      #{wtname,jdbcType=VARCHAR}, #{pjdj,jdbcType=VARCHAR}, #{pjjg,jdbcType=VARCHAR}, 
      #{yfdl,jdbcType=DECIMAL}, #{bwsj,jdbcType=TIMESTAMP}, #{nfdl,jdbcType=DECIMAL}, 
      #{yfdlhb,jdbcType=DECIMAL}, #{yfdltb,jdbcType=DECIMAL}, #{ygzcs,jdbcType=DECIMAL}, 
      #{ygzsc,jdbcType=DECIMAL}, #{bgscry,jdbcType=VARCHAR}, #{bgsj,jdbcType=TIMESTAMP}, 
      #{fdlgzcs,jdbcType=DECIMAL}, #{fdlbjcs,jdbcType=DECIMAL}, #{fdljkqk,jdbcType=VARCHAR}, 
      #{clxgzcs,jdbcType=DECIMAL}, #{clxbjcs,jdbcType=DECIMAL}, #{clxjkqk,jdbcType=VARCHAR}, 
      #{bjgzcs,jdbcType=DECIMAL}, #{bjbjcs,jdbcType=DECIMAL}, #{bjjkqk,jdbcType=VARCHAR}, 
      #{zkgzcs,jdbcType=DECIMAL}, #{zkbjcs,jdbcType=DECIMAL}, #{zkjkqk,jdbcType=VARCHAR}, 
      #{llfdl,jdbcType=DECIMAL}, #{pjgl,jdbcType=DECIMAL}, #{gzssdl,jdbcType=DECIMAL}, 
      #{xdssdll,jdbcType=DECIMAL}, #{whssdl,jdbcType=DECIMAL}, #{gzsj,jdbcType=DECIMAL}, 
      #{whsj,jdbcType=DECIMAL}, #{yxsj,jdbcType=DECIMAL}, #{tjsj,jdbcType=DECIMAL}, #{pjqrfs,jdbcType=DECIMAL}, 
      #{xnssdl,jdbcType=DECIMAL}, #{nhyd,jdbcType=DECIMAL}, #{glyzxxs,jdbcType=DECIMAL}, 
      #{lyxs,jdbcType=DECIMAL}, #{sbklyl,jdbcType=DECIMAL}, #{dxklyxs,jdbcType=DECIMAL}, 
      #{yxfss,jdbcType=DECIMAL}, #{pjfs,jdbcType=DECIMAL}, #{jfpl,jdbcType=DECIMAL}, 
      #{tid,jdbcType=DECIMAL}, #{wl1txnqk,jdbcType=VARCHAR}, #{wl3txnqk,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WTTRAGETREPORTMAIN3
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="recodedate != null">
        RECODEDATE,
      </if>
      <if test="wtid != null">
        WTID,
      </if>
      <if test="wtname != null">
        WTNAME,
      </if>
      <if test="pjdj != null">
        PJDJ,
      </if>
      <if test="pjjg != null">
        PJJG,
      </if>
      <if test="yfdl != null">
        YFDL,
      </if>
      <if test="bwsj != null">
        BWSJ,
      </if>
      <if test="nfdl != null">
        NFDL,
      </if>
      <if test="yfdlhb != null">
        YFDLHB,
      </if>
      <if test="yfdltb != null">
        YFDLTB,
      </if>
      <if test="ygzcs != null">
        YGZCS,
      </if>
      <if test="ygzsc != null">
        YGZSC,
      </if>
      <if test="bgscry != null">
        BGSCRY,
      </if>
      <if test="bgsj != null">
        BGSJ,
      </if>
      <if test="fdlgzcs != null">
        FDLGZCS,
      </if>
      <if test="fdlbjcs != null">
        FDLBJCS,
      </if>
      <if test="fdljkqk != null">
        FDLJKQK,
      </if>
      <if test="clxgzcs != null">
        CLXGZCS,
      </if>
      <if test="clxbjcs != null">
        CLXBJCS,
      </if>
      <if test="clxjkqk != null">
        CLXJKQK,
      </if>
      <if test="bjgzcs != null">
        BJGZCS,
      </if>
      <if test="bjbjcs != null">
        BJBJCS,
      </if>
      <if test="bjjkqk != null">
        BJJKQK,
      </if>
      <if test="zkgzcs != null">
        ZKGZCS,
      </if>
      <if test="zkbjcs != null">
        ZKBJCS,
      </if>
      <if test="zkjkqk != null">
        ZKJKQK,
      </if>
      <if test="llfdl != null">
        LLFDL,
      </if>
      <if test="pjgl != null">
        PJGL,
      </if>
      <if test="gzssdl != null">
        GZSSDL,
      </if>
      <if test="xdssdll != null">
        XDSSDLL,
      </if>
      <if test="whssdl != null">
        WHSSDL,
      </if>
      <if test="gzsj != null">
        GZSJ,
      </if>
      <if test="whsj != null">
        WHSJ,
      </if>
      <if test="yxsj != null">
        YXSJ,
      </if>
      <if test="tjsj != null">
        TJSJ,
      </if>
      <if test="pjqrfs != null">
        PJQRFS,
      </if>
      <if test="xnssdl != null">
        XNSSDL,
      </if>
      <if test="nhyd != null">
        NHYD,
      </if>
      <if test="glyzxxs != null">
        GLYZXXS,
      </if>
      <if test="lyxs != null">
        LYXS,
      </if>
      <if test="sbklyl != null">
        SBKLYL,
      </if>
      <if test="dxklyxs != null">
        DXKLYXS,
      </if>
      <if test="yxfss != null">
        YXFSS,
      </if>
      <if test="pjfs != null">
        PJFS,
      </if>
      <if test="jfpl != null">
        JFPL,
      </if>
      <if test="tid != null">
        TID,
      </if>
      <if test="wl1txnqk != null">
        WL1TXNQK,
      </if>
      <if test="wl3txnqk != null">
        WL3TXNQK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="recodedate != null">
        #{recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="wtid != null">
        #{wtid,jdbcType=VARCHAR},
      </if>
      <if test="wtname != null">
        #{wtname,jdbcType=VARCHAR},
      </if>
      <if test="pjdj != null">
        #{pjdj,jdbcType=VARCHAR},
      </if>
      <if test="pjjg != null">
        #{pjjg,jdbcType=VARCHAR},
      </if>
      <if test="yfdl != null">
        #{yfdl,jdbcType=DECIMAL},
      </if>
      <if test="bwsj != null">
        #{bwsj,jdbcType=TIMESTAMP},
      </if>
      <if test="nfdl != null">
        #{nfdl,jdbcType=DECIMAL},
      </if>
      <if test="yfdlhb != null">
        #{yfdlhb,jdbcType=DECIMAL},
      </if>
      <if test="yfdltb != null">
        #{yfdltb,jdbcType=DECIMAL},
      </if>
      <if test="ygzcs != null">
        #{ygzcs,jdbcType=DECIMAL},
      </if>
      <if test="ygzsc != null">
        #{ygzsc,jdbcType=DECIMAL},
      </if>
      <if test="bgscry != null">
        #{bgscry,jdbcType=VARCHAR},
      </if>
      <if test="bgsj != null">
        #{bgsj,jdbcType=TIMESTAMP},
      </if>
      <if test="fdlgzcs != null">
        #{fdlgzcs,jdbcType=DECIMAL},
      </if>
      <if test="fdlbjcs != null">
        #{fdlbjcs,jdbcType=DECIMAL},
      </if>
      <if test="fdljkqk != null">
        #{fdljkqk,jdbcType=VARCHAR},
      </if>
      <if test="clxgzcs != null">
        #{clxgzcs,jdbcType=DECIMAL},
      </if>
      <if test="clxbjcs != null">
        #{clxbjcs,jdbcType=DECIMAL},
      </if>
      <if test="clxjkqk != null">
        #{clxjkqk,jdbcType=VARCHAR},
      </if>
      <if test="bjgzcs != null">
        #{bjgzcs,jdbcType=DECIMAL},
      </if>
      <if test="bjbjcs != null">
        #{bjbjcs,jdbcType=DECIMAL},
      </if>
      <if test="bjjkqk != null">
        #{bjjkqk,jdbcType=VARCHAR},
      </if>
      <if test="zkgzcs != null">
        #{zkgzcs,jdbcType=DECIMAL},
      </if>
      <if test="zkbjcs != null">
        #{zkbjcs,jdbcType=DECIMAL},
      </if>
      <if test="zkjkqk != null">
        #{zkjkqk,jdbcType=VARCHAR},
      </if>
      <if test="llfdl != null">
        #{llfdl,jdbcType=DECIMAL},
      </if>
      <if test="pjgl != null">
        #{pjgl,jdbcType=DECIMAL},
      </if>
      <if test="gzssdl != null">
        #{gzssdl,jdbcType=DECIMAL},
      </if>
      <if test="xdssdll != null">
        #{xdssdll,jdbcType=DECIMAL},
      </if>
      <if test="whssdl != null">
        #{whssdl,jdbcType=DECIMAL},
      </if>
      <if test="gzsj != null">
        #{gzsj,jdbcType=DECIMAL},
      </if>
      <if test="whsj != null">
        #{whsj,jdbcType=DECIMAL},
      </if>
      <if test="yxsj != null">
        #{yxsj,jdbcType=DECIMAL},
      </if>
      <if test="tjsj != null">
        #{tjsj,jdbcType=DECIMAL},
      </if>
      <if test="pjqrfs != null">
        #{pjqrfs,jdbcType=DECIMAL},
      </if>
      <if test="xnssdl != null">
        #{xnssdl,jdbcType=DECIMAL},
      </if>
      <if test="nhyd != null">
        #{nhyd,jdbcType=DECIMAL},
      </if>
      <if test="glyzxxs != null">
        #{glyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="lyxs != null">
        #{lyxs,jdbcType=DECIMAL},
      </if>
      <if test="sbklyl != null">
        #{sbklyl,jdbcType=DECIMAL},
      </if>
      <if test="dxklyxs != null">
        #{dxklyxs,jdbcType=DECIMAL},
      </if>
      <if test="yxfss != null">
        #{yxfss,jdbcType=DECIMAL},
      </if>
      <if test="pjfs != null">
        #{pjfs,jdbcType=DECIMAL},
      </if>
      <if test="jfpl != null">
        #{jfpl,jdbcType=DECIMAL},
      </if>
      <if test="tid != null">
        #{tid,jdbcType=DECIMAL},
      </if>
      <if test="wl1txnqk != null">
        #{wl1txnqk,jdbcType=VARCHAR},
      </if>
      <if test="wl3txnqk != null">
        #{wl3txnqk,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3Example" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from WTTRAGETREPORTMAIN3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WTTRAGETREPORTMAIN3
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=DECIMAL},
      </if>
      <if test="record.recodedate != null">
        RECODEDATE = #{record.recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.wtid != null">
        WTID = #{record.wtid,jdbcType=VARCHAR},
      </if>
      <if test="record.wtname != null">
        WTNAME = #{record.wtname,jdbcType=VARCHAR},
      </if>
      <if test="record.pjdj != null">
        PJDJ = #{record.pjdj,jdbcType=VARCHAR},
      </if>
      <if test="record.pjjg != null">
        PJJG = #{record.pjjg,jdbcType=VARCHAR},
      </if>
      <if test="record.yfdl != null">
        YFDL = #{record.yfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.bwsj != null">
        BWSJ = #{record.bwsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.nfdl != null">
        NFDL = #{record.nfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.yfdlhb != null">
        YFDLHB = #{record.yfdlhb,jdbcType=DECIMAL},
      </if>
      <if test="record.yfdltb != null">
        YFDLTB = #{record.yfdltb,jdbcType=DECIMAL},
      </if>
      <if test="record.ygzcs != null">
        YGZCS = #{record.ygzcs,jdbcType=DECIMAL},
      </if>
      <if test="record.ygzsc != null">
        YGZSC = #{record.ygzsc,jdbcType=DECIMAL},
      </if>
      <if test="record.bgscry != null">
        BGSCRY = #{record.bgscry,jdbcType=VARCHAR},
      </if>
      <if test="record.bgsj != null">
        BGSJ = #{record.bgsj,jdbcType=TIMESTAMP},
      </if>
      <if test="record.fdlgzcs != null">
        FDLGZCS = #{record.fdlgzcs,jdbcType=DECIMAL},
      </if>
      <if test="record.fdlbjcs != null">
        FDLBJCS = #{record.fdlbjcs,jdbcType=DECIMAL},
      </if>
      <if test="record.fdljkqk != null">
        FDLJKQK = #{record.fdljkqk,jdbcType=VARCHAR},
      </if>
      <if test="record.clxgzcs != null">
        CLXGZCS = #{record.clxgzcs,jdbcType=DECIMAL},
      </if>
      <if test="record.clxbjcs != null">
        CLXBJCS = #{record.clxbjcs,jdbcType=DECIMAL},
      </if>
      <if test="record.clxjkqk != null">
        CLXJKQK = #{record.clxjkqk,jdbcType=VARCHAR},
      </if>
      <if test="record.bjgzcs != null">
        BJGZCS = #{record.bjgzcs,jdbcType=DECIMAL},
      </if>
      <if test="record.bjbjcs != null">
        BJBJCS = #{record.bjbjcs,jdbcType=DECIMAL},
      </if>
      <if test="record.bjjkqk != null">
        BJJKQK = #{record.bjjkqk,jdbcType=VARCHAR},
      </if>
      <if test="record.zkgzcs != null">
        ZKGZCS = #{record.zkgzcs,jdbcType=DECIMAL},
      </if>
      <if test="record.zkbjcs != null">
        ZKBJCS = #{record.zkbjcs,jdbcType=DECIMAL},
      </if>
      <if test="record.zkjkqk != null">
        ZKJKQK = #{record.zkjkqk,jdbcType=VARCHAR},
      </if>
      <if test="record.llfdl != null">
        LLFDL = #{record.llfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.pjgl != null">
        PJGL = #{record.pjgl,jdbcType=DECIMAL},
      </if>
      <if test="record.gzssdl != null">
        GZSSDL = #{record.gzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.xdssdll != null">
        XDSSDLL = #{record.xdssdll,jdbcType=DECIMAL},
      </if>
      <if test="record.whssdl != null">
        WHSSDL = #{record.whssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.gzsj != null">
        GZSJ = #{record.gzsj,jdbcType=DECIMAL},
      </if>
      <if test="record.whsj != null">
        WHSJ = #{record.whsj,jdbcType=DECIMAL},
      </if>
      <if test="record.yxsj != null">
        YXSJ = #{record.yxsj,jdbcType=DECIMAL},
      </if>
      <if test="record.tjsj != null">
        TJSJ = #{record.tjsj,jdbcType=DECIMAL},
      </if>
      <if test="record.pjqrfs != null">
        PJQRFS = #{record.pjqrfs,jdbcType=DECIMAL},
      </if>
      <if test="record.xnssdl != null">
        XNSSDL = #{record.xnssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.nhyd != null">
        NHYD = #{record.nhyd,jdbcType=DECIMAL},
      </if>
      <if test="record.glyzxxs != null">
        GLYZXXS = #{record.glyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="record.lyxs != null">
        LYXS = #{record.lyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.sbklyl != null">
        SBKLYL = #{record.sbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.dxklyxs != null">
        DXKLYXS = #{record.dxklyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yxfss != null">
        YXFSS = #{record.yxfss,jdbcType=DECIMAL},
      </if>
      <if test="record.pjfs != null">
        PJFS = #{record.pjfs,jdbcType=DECIMAL},
      </if>
      <if test="record.jfpl != null">
        JFPL = #{record.jfpl,jdbcType=DECIMAL},
      </if>
      <if test="record.tid != null">
        TID = #{record.tid,jdbcType=DECIMAL},
      </if>
      <if test="record.wl1txnqk != null">
        WL1TXNQK = #{record.wl1txnqk,jdbcType=VARCHAR},
      </if>
      <if test="record.wl3txnqk != null">
        WL3TXNQK = #{record.wl3txnqk,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WTTRAGETREPORTMAIN3
    set ID = #{record.id,jdbcType=DECIMAL},
      RECODEDATE = #{record.recodedate,jdbcType=TIMESTAMP},
      WTID = #{record.wtid,jdbcType=VARCHAR},
      WTNAME = #{record.wtname,jdbcType=VARCHAR},
      PJDJ = #{record.pjdj,jdbcType=VARCHAR},
      PJJG = #{record.pjjg,jdbcType=VARCHAR},
      YFDL = #{record.yfdl,jdbcType=DECIMAL},
      BWSJ = #{record.bwsj,jdbcType=TIMESTAMP},
      NFDL = #{record.nfdl,jdbcType=DECIMAL},
      YFDLHB = #{record.yfdlhb,jdbcType=DECIMAL},
      YFDLTB = #{record.yfdltb,jdbcType=DECIMAL},
      YGZCS = #{record.ygzcs,jdbcType=DECIMAL},
      YGZSC = #{record.ygzsc,jdbcType=DECIMAL},
      BGSCRY = #{record.bgscry,jdbcType=VARCHAR},
      BGSJ = #{record.bgsj,jdbcType=TIMESTAMP},
      FDLGZCS = #{record.fdlgzcs,jdbcType=DECIMAL},
      FDLBJCS = #{record.fdlbjcs,jdbcType=DECIMAL},
      FDLJKQK = #{record.fdljkqk,jdbcType=VARCHAR},
      CLXGZCS = #{record.clxgzcs,jdbcType=DECIMAL},
      CLXBJCS = #{record.clxbjcs,jdbcType=DECIMAL},
      CLXJKQK = #{record.clxjkqk,jdbcType=VARCHAR},
      BJGZCS = #{record.bjgzcs,jdbcType=DECIMAL},
      BJBJCS = #{record.bjbjcs,jdbcType=DECIMAL},
      BJJKQK = #{record.bjjkqk,jdbcType=VARCHAR},
      ZKGZCS = #{record.zkgzcs,jdbcType=DECIMAL},
      ZKBJCS = #{record.zkbjcs,jdbcType=DECIMAL},
      ZKJKQK = #{record.zkjkqk,jdbcType=VARCHAR},
      LLFDL = #{record.llfdl,jdbcType=DECIMAL},
      PJGL = #{record.pjgl,jdbcType=DECIMAL},
      GZSSDL = #{record.gzssdl,jdbcType=DECIMAL},
      XDSSDLL = #{record.xdssdll,jdbcType=DECIMAL},
      WHSSDL = #{record.whssdl,jdbcType=DECIMAL},
      GZSJ = #{record.gzsj,jdbcType=DECIMAL},
      WHSJ = #{record.whsj,jdbcType=DECIMAL},
      YXSJ = #{record.yxsj,jdbcType=DECIMAL},
      TJSJ = #{record.tjsj,jdbcType=DECIMAL},
      PJQRFS = #{record.pjqrfs,jdbcType=DECIMAL},
      XNSSDL = #{record.xnssdl,jdbcType=DECIMAL},
      NHYD = #{record.nhyd,jdbcType=DECIMAL},
      GLYZXXS = #{record.glyzxxs,jdbcType=DECIMAL},
      LYXS = #{record.lyxs,jdbcType=DECIMAL},
      SBKLYL = #{record.sbklyl,jdbcType=DECIMAL},
      DXKLYXS = #{record.dxklyxs,jdbcType=DECIMAL},
      YXFSS = #{record.yxfss,jdbcType=DECIMAL},
      PJFS = #{record.pjfs,jdbcType=DECIMAL},
      JFPL = #{record.jfpl,jdbcType=DECIMAL},
      TID = #{record.tid,jdbcType=DECIMAL},
      WL1TXNQK = #{record.wl1txnqk,jdbcType=VARCHAR},
      WL3TXNQK = #{record.wl3txnqk,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WTTRAGETREPORTMAIN3
    <set>
      <if test="recodedate != null">
        RECODEDATE = #{recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="wtid != null">
        WTID = #{wtid,jdbcType=VARCHAR},
      </if>
      <if test="wtname != null">
        WTNAME = #{wtname,jdbcType=VARCHAR},
      </if>
      <if test="pjdj != null">
        PJDJ = #{pjdj,jdbcType=VARCHAR},
      </if>
      <if test="pjjg != null">
        PJJG = #{pjjg,jdbcType=VARCHAR},
      </if>
      <if test="yfdl != null">
        YFDL = #{yfdl,jdbcType=DECIMAL},
      </if>
      <if test="bwsj != null">
        BWSJ = #{bwsj,jdbcType=TIMESTAMP},
      </if>
      <if test="nfdl != null">
        NFDL = #{nfdl,jdbcType=DECIMAL},
      </if>
      <if test="yfdlhb != null">
        YFDLHB = #{yfdlhb,jdbcType=DECIMAL},
      </if>
      <if test="yfdltb != null">
        YFDLTB = #{yfdltb,jdbcType=DECIMAL},
      </if>
      <if test="ygzcs != null">
        YGZCS = #{ygzcs,jdbcType=DECIMAL},
      </if>
      <if test="ygzsc != null">
        YGZSC = #{ygzsc,jdbcType=DECIMAL},
      </if>
      <if test="bgscry != null">
        BGSCRY = #{bgscry,jdbcType=VARCHAR},
      </if>
      <if test="bgsj != null">
        BGSJ = #{bgsj,jdbcType=TIMESTAMP},
      </if>
      <if test="fdlgzcs != null">
        FDLGZCS = #{fdlgzcs,jdbcType=DECIMAL},
      </if>
      <if test="fdlbjcs != null">
        FDLBJCS = #{fdlbjcs,jdbcType=DECIMAL},
      </if>
      <if test="fdljkqk != null">
        FDLJKQK = #{fdljkqk,jdbcType=VARCHAR},
      </if>
      <if test="clxgzcs != null">
        CLXGZCS = #{clxgzcs,jdbcType=DECIMAL},
      </if>
      <if test="clxbjcs != null">
        CLXBJCS = #{clxbjcs,jdbcType=DECIMAL},
      </if>
      <if test="clxjkqk != null">
        CLXJKQK = #{clxjkqk,jdbcType=VARCHAR},
      </if>
      <if test="bjgzcs != null">
        BJGZCS = #{bjgzcs,jdbcType=DECIMAL},
      </if>
      <if test="bjbjcs != null">
        BJBJCS = #{bjbjcs,jdbcType=DECIMAL},
      </if>
      <if test="bjjkqk != null">
        BJJKQK = #{bjjkqk,jdbcType=VARCHAR},
      </if>
      <if test="zkgzcs != null">
        ZKGZCS = #{zkgzcs,jdbcType=DECIMAL},
      </if>
      <if test="zkbjcs != null">
        ZKBJCS = #{zkbjcs,jdbcType=DECIMAL},
      </if>
      <if test="zkjkqk != null">
        ZKJKQK = #{zkjkqk,jdbcType=VARCHAR},
      </if>
      <if test="llfdl != null">
        LLFDL = #{llfdl,jdbcType=DECIMAL},
      </if>
      <if test="pjgl != null">
        PJGL = #{pjgl,jdbcType=DECIMAL},
      </if>
      <if test="gzssdl != null">
        GZSSDL = #{gzssdl,jdbcType=DECIMAL},
      </if>
      <if test="xdssdll != null">
        XDSSDLL = #{xdssdll,jdbcType=DECIMAL},
      </if>
      <if test="whssdl != null">
        WHSSDL = #{whssdl,jdbcType=DECIMAL},
      </if>
      <if test="gzsj != null">
        GZSJ = #{gzsj,jdbcType=DECIMAL},
      </if>
      <if test="whsj != null">
        WHSJ = #{whsj,jdbcType=DECIMAL},
      </if>
      <if test="yxsj != null">
        YXSJ = #{yxsj,jdbcType=DECIMAL},
      </if>
      <if test="tjsj != null">
        TJSJ = #{tjsj,jdbcType=DECIMAL},
      </if>
      <if test="pjqrfs != null">
        PJQRFS = #{pjqrfs,jdbcType=DECIMAL},
      </if>
      <if test="xnssdl != null">
        XNSSDL = #{xnssdl,jdbcType=DECIMAL},
      </if>
      <if test="nhyd != null">
        NHYD = #{nhyd,jdbcType=DECIMAL},
      </if>
      <if test="glyzxxs != null">
        GLYZXXS = #{glyzxxs,jdbcType=DECIMAL},
      </if>
      <if test="lyxs != null">
        LYXS = #{lyxs,jdbcType=DECIMAL},
      </if>
      <if test="sbklyl != null">
        SBKLYL = #{sbklyl,jdbcType=DECIMAL},
      </if>
      <if test="dxklyxs != null">
        DXKLYXS = #{dxklyxs,jdbcType=DECIMAL},
      </if>
      <if test="yxfss != null">
        YXFSS = #{yxfss,jdbcType=DECIMAL},
      </if>
      <if test="pjfs != null">
        PJFS = #{pjfs,jdbcType=DECIMAL},
      </if>
      <if test="jfpl != null">
        JFPL = #{jfpl,jdbcType=DECIMAL},
      </if>
      <if test="tid != null">
        TID = #{tid,jdbcType=DECIMAL},
      </if>
      <if test="wl1txnqk != null">
        WL1TXNQK = #{wl1txnqk,jdbcType=VARCHAR},
      </if>
      <if test="wl3txnqk != null">
        WL3TXNQK = #{wl3txnqk,jdbcType=VARCHAR},
      </if>
    </set>
    where ID = #{id,jdbcType=DECIMAL}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Wttragetreportmain3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update WTTRAGETREPORTMAIN3
    set RECODEDATE = #{recodedate,jdbcType=TIMESTAMP},
      WTID = #{wtid,jdbcType=VARCHAR},
      WTNAME = #{wtname,jdbcType=VARCHAR},
      PJDJ = #{pjdj,jdbcType=VARCHAR},
      PJJG = #{pjjg,jdbcType=VARCHAR},
      YFDL = #{yfdl,jdbcType=DECIMAL},
      BWSJ = #{bwsj,jdbcType=TIMESTAMP},
      NFDL = #{nfdl,jdbcType=DECIMAL},
      YFDLHB = #{yfdlhb,jdbcType=DECIMAL},
      YFDLTB = #{yfdltb,jdbcType=DECIMAL},
      YGZCS = #{ygzcs,jdbcType=DECIMAL},
      YGZSC = #{ygzsc,jdbcType=DECIMAL},
      BGSCRY = #{bgscry,jdbcType=VARCHAR},
      BGSJ = #{bgsj,jdbcType=TIMESTAMP},
      FDLGZCS = #{fdlgzcs,jdbcType=DECIMAL},
      FDLBJCS = #{fdlbjcs,jdbcType=DECIMAL},
      FDLJKQK = #{fdljkqk,jdbcType=VARCHAR},
      CLXGZCS = #{clxgzcs,jdbcType=DECIMAL},
      CLXBJCS = #{clxbjcs,jdbcType=DECIMAL},
      CLXJKQK = #{clxjkqk,jdbcType=VARCHAR},
      BJGZCS = #{bjgzcs,jdbcType=DECIMAL},
      BJBJCS = #{bjbjcs,jdbcType=DECIMAL},
      BJJKQK = #{bjjkqk,jdbcType=VARCHAR},
      ZKGZCS = #{zkgzcs,jdbcType=DECIMAL},
      ZKBJCS = #{zkbjcs,jdbcType=DECIMAL},
      ZKJKQK = #{zkjkqk,jdbcType=VARCHAR},
      LLFDL = #{llfdl,jdbcType=DECIMAL},
      PJGL = #{pjgl,jdbcType=DECIMAL},
      GZSSDL = #{gzssdl,jdbcType=DECIMAL},
      XDSSDLL = #{xdssdll,jdbcType=DECIMAL},
      WHSSDL = #{whssdl,jdbcType=DECIMAL},
      GZSJ = #{gzsj,jdbcType=DECIMAL},
      WHSJ = #{whsj,jdbcType=DECIMAL},
      YXSJ = #{yxsj,jdbcType=DECIMAL},
      TJSJ = #{tjsj,jdbcType=DECIMAL},
      PJQRFS = #{pjqrfs,jdbcType=DECIMAL},
      XNSSDL = #{xnssdl,jdbcType=DECIMAL},
      NHYD = #{nhyd,jdbcType=DECIMAL},
      GLYZXXS = #{glyzxxs,jdbcType=DECIMAL},
      LYXS = #{lyxs,jdbcType=DECIMAL},
      SBKLYL = #{sbklyl,jdbcType=DECIMAL},
      DXKLYXS = #{dxklyxs,jdbcType=DECIMAL},
      YXFSS = #{yxfss,jdbcType=DECIMAL},
      PJFS = #{pjfs,jdbcType=DECIMAL},
      JFPL = #{jfpl,jdbcType=DECIMAL},
      TID = #{tid,jdbcType=DECIMAL},
      WL1TXNQK = #{wl1txnqk,jdbcType=VARCHAR},
      WL3TXNQK = #{wl3txnqk,jdbcType=VARCHAR}
    where ID = #{id,jdbcType=DECIMAL}
  </update>
</mapper>